DefaultDrawNodalVertex
Keywords: uk.ac.ic.doc.automed.editor.DefaultDrawNodalVertex class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Class DefaultDrawNodalVertex

    java.lang.Object
      uk.ac.ic.doc.automed.editor.DrawVertex
          uk.ac.ic.doc.automed.editor.DefaultDrawNodalVertex

All Implemented Interfaces:
  Drawable, DrawableVertex

Direct Known Subclasses:
  DrawRDBTableVertex

    public class DefaultDrawNodalVertex

extends DrawVertex

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`bounds, dashedStroke, dependent, ep, fm, p, standardStroke, symbolHeight, symbolWidth, text, textHeight, textWidth, thickness, thickStroke, thinStroke, xInset, yInset, zeroOffset`

Constructor Summary
`DefaultDrawNodalVertex(EditorPanel ep, Positionable p)`

Method Summary
`java.awt.Point` | `getConnectionPoint(java.awt.Point other)` Calculate the `Point` where a `DrawableArc` connecting to this `DrawableVertex` should be drawn to, no
`void` | `paintSymbol(java.awt.Graphics2D g)` Replace the paintSymbol method of `DrawVertex` with one that draws a rectangle rather that a oval.

Methods inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`getBounds, getCentre, getCentreOffset, getConnectionPointMovableCentre, getConnectsTo, getPositionable, intersectLine, paintComponent, paintText, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDrawNodalVertex

    public DefaultDrawNodalVertex(EditorPanel ep,
                                  Positionable p)

Method Detail

### getConnectionPoint

    public java.awt.Point getConnectionPoint(java.awt.Point other)

  Description copied from interface: `DrawableVertex`
  Calculate the `Point` where a `DrawableArc` connecting to this `DrawableVertex` should be drawn to, no

  Specified by:
    `getConnectionPoint` in interface `DrawableVertex`
  Overrides:
    `getConnectionPoint` in class `DrawVertex`
  Returns:
    Point

### paintSymbol

    public void paintSymbol(java.awt.Graphics2D g)

  Replace the paintSymbol method of `DrawVertex` with one that draws a rectangle rather that a oval.

  Overrides:
    `paintSymbol` in class `DrawVertex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD